Find Workflow
post
https://api.flxpoint.com/workflow/findUse this when you want to create workflow data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
Find a workflow by `id` (which takes priority) or by a combination of `eventHandle` + `params`. Optionally create one if the searched one cannot be found by passing `createIfNotExists` in the request body.
Request
Body
application/jsoneventHandlestringThe handle of the event this workflow will be run against. Important as this dictates what `GlobalObjects` & `GlobalObjectFields` are allowed to be saved to the workflow.
idintegerOnly required if you are managing the ID externally. Otherwise the workflow can be resolved using the `eventHandle` + `params`.
draftbooleanIf you want to get a copy of the draft workflow set this to `true`.
default
falseparamsarray[GetWorkflowRequestParam][Optional] A set of key/value pairs that are used to uniquely identify a workflow. Used so that you do not have to store the generated workflow IDs your self and can instead use existing IDs (ie values) with a key to get the workflow again.
keystringrequiredvalueintegerrequiredcreateIfNotExistsbooleanWhen a workflow cannot be found, should an empty one automatically be created and returned?
default
trueExample request
post
/workflow/findcurl -X POST "https://api.flxpoint.com/workflow/find" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"eventHandle": "string",
"id": 0,
"draft": true,
"params": [
{
"key": "string",
"value": 0
}
],
"createIfNotExists": true
}'Example body · application/json
{
"eventHandle": "string",
"id": 0,
"draft": true,
"params": [
{
"key": "string",
"value": 0
}
],
"createIfNotExists": true
}Responses
200—application/json
idintegerrequiredGenerated on your behalf when first creating a workflow. Should not be provided unless the workflow was previously saved & you are modifying a version of the workflow that was directly fetched from the system.
`null` values are never allowed here.
By providing a non-null value here you are indiciating this workflow exists and should be updated. If the provided ID does not exist a `404` error will be returned.
eventIdintegerdraftbooleanIs this the draft version of the workflow
default
falseparamsarray[GetWorkflowRequestParam]Used to find workflows by unique key/value pairs so that IDs do not need to be externally managed.
keystringrequiredvalueintegerrequiredrulesarray[WorkflowRule]The rules of the workflow that are responsible for checking IF and HOW modifications should be applied to `GlobalObjects` and their `GlobalObjectFields`.
idintegerGenerated on your behalf when first creating a rule.
namestringrequiredcreatedAtstring (date-time)rankintegerThe order/rank in which rules are run. Very important as order matters since each rule has the potential to modify data.
workflowRuleTypeIdintegerrequiredThe ID of the `WorkflowRuleType` of this rule.
alwaysRunbooleanrequiredWhen set to `true` all `groups` & `conditions` are ignored and the rule will always have its a`actions` run.
default
falseconfiguredbooleanWhether the rule is configured correctly. To be considered configured the rule must have at least 1 action and 1 condition (or be set to always run).
groupsarray[WorkflowRuleGroup]requiredidintegerGenerated on your behalf when first creating a rule group.
rankintegerThe order/rank in which groups are run
conditionsarray[WorkflowRuleGroupCondition]requiredidintegerGenerated on your behalf when first creating a condition.
rankintegerThe order/rank in which conditions are run
globalObjectFieldIdintegerThe ID of the `GlobalObjectField` that provides the data this rule runs against.
workflowDataTypeComparatorIdintegerThe ID of the `WorkflowDataTypeComparator` this rule uses as a basis to perform a condition with.
conditionstringFor most standard rules the primary data condition that is used in conjunction with the comparator will be stored here.
condition2stringcondition3stringcondition4stringfieldArrayMustMatchAllbooleanWhen the field this condition operates on for the particular event is provided as an array of data rather than a singleton setting this to `true` means that all fields in that list must be truthy in order for the condition to be truthy. Otherwise only 1 of the fields in the list must be truthy to have the condition pass.
default
falseconditionArrayMustMatchAllbooleanWhen the data this condition operates on for the particular event is provided as an array of data rather than a singleton setting this to `true` means that all data in that list must be truthy in order for the condition to be truthy. Otherwise only 1 of the datums in the list must be truthy to have the condition pass.
default
falsepreModifierDataTypeComparatorIdintegermetaDatastringThis is a JSON encoded string that is used to provide & store context relating to rules that do not fit within the bounds of standard rules.
childConditionsarray[WorkflowRuleGroupCondition]workflowDataTypeComparatorWorkflowDataTypeComparatorpreModifierDataTypeComparatorWorkflowDataTypeComparatoractionsarray[WorkflowRuleAction]requiredidintegerGenerated on your behalf when first creating a action.
globalObjectFieldIdintegerrequiredThe ID of the `GlobalObjectField` this action will apply a transformation to.
workflowDataTypeActionIdintegerrequiredThe ID of the `WorkflowDataTypeAction` that this action applys as a transformation/modification to a field.
valuestringIf the action type uses data indicated by the user to apply its transformations those values will be supplier here.
value2stringvalue3stringvalue4stringrankintegerThe order/rank in which actions are run. Very important as order matters since each action has the potential to modify data.
workflowDataTypeActionobjectidintegerrequirednamestringrequiredhandlestringrequiredallowed
addadd_fieldall_po_line_items_custom_fields_to_textappend_as_sentenceapply_custom_actionattribute_addattribute_modifyattribute_removeattributes_to_htmlcapitalize_each_wordcustom_aggregate_field_addcustom_aggregate_field_modifycustom_aggregate_field_removecustom_field_addcustom_field_modifycustom_field_removedecode_htmldivide_bydivide_by_fieldleft_padlowercasemultiplymultiply_by_fieldoption_setpercent_changepo_custom_fields_to_textpostfixpostfix_with_fieldprefixprefix_with_fieldreplacereplace_case_sensitivereplace_character_at_indexreplace_character_occurrenceright_padsentence_casesetset_decimalset_to_emptyset_to_fieldsplit_by_valuesubstringsubtractsubtract_fieldtrimuppercasevariant_option_addvariant_option_modifyvariant_option_removeset_ones_place_value_tomapping_sethideInputbooleanusesOtherFieldbooleanrequiredformulabooleanrequiredglobalDataTypeIdintegerformulaCanRunAgainstGlobalObjectIdsarray[integer]If `formula=true` then this will be a list of `GlobalObject.id` that the formula can be applied against.
globalDataTypeFilterIdsarray[integer]Certain `GlobalObjectField`'s such as ones for quantities may wish to further restrict what types of actions they are allowed to run against. Actions that support this type of additional filtering will have the IDs of the filter types set here. The IDs in this array will correspond to the `GlobalObjectField.globalDataTypeFilterId` field.
metaDatastringIf non-null a JSON object containing meta data related to executing the action
usesOtherFieldScopestringWhen using actions that depend on the values of other fields & objects this will control which objects are used to take values from.
allowed
allfilteredcorrelatedapplyToMatchedOnlybooleanWhen true, the action is applied only to elements that satisfy the rule conditions. When false or not provided, the action is applied to all elements.
childActionsarray[WorkflowRuleAction]idintegerGenerated on your behalf when first creating a action.
globalObjectFieldIdintegerrequiredThe ID of the `GlobalObjectField` this action will apply a transformation to.
workflowDataTypeActionIdintegerrequiredThe ID of the `WorkflowDataTypeAction` that this action applys as a transformation/modification to a field.
valuestringIf the action type uses data indicated by the user to apply its transformations those values will be supplier here.
value2stringvalue3stringvalue4stringrankintegerThe order/rank in which actions are run. Very important as order matters since each action has the potential to modify data.
workflowDataTypeActionWorkflowDataTypeActionmetaDatastringIf non-null a JSON object containing meta data related to executing the action
usesOtherFieldScopestringWhen using actions that depend on the values of other fields & objects this will control which objects are used to take values from.
allowed
allfilteredcorrelatedapplyToMatchedOnlybooleanWhen true, the action is applied only to elements that satisfy the rule conditions. When false or not provided, the action is applied to all elements.
childActionsarray[WorkflowRuleAction]headerNamestringheaderNamestringchildRulesarray[WorkflowRule]idintegerGenerated on your behalf when first creating a rule.
namestringrequiredcreatedAtstring (date-time)rankintegerThe order/rank in which rules are run. Very important as order matters since each rule has the potential to modify data.
workflowRuleTypeIdintegerrequiredThe ID of the `WorkflowRuleType` of this rule.
alwaysRunbooleanrequiredWhen set to `true` all `groups` & `conditions` are ignored and the rule will always have its a`actions` run.
default
falseconfiguredbooleanWhether the rule is configured correctly. To be considered configured the rule must have at least 1 action and 1 condition (or be set to always run).
groupsarray[WorkflowRuleGroup]requiredidintegerGenerated on your behalf when first creating a rule group.
rankintegerThe order/rank in which groups are run
conditionsarray[WorkflowRuleGroupCondition]requiredactionsarray[WorkflowRuleAction]requiredidintegerGenerated on your behalf when first creating a action.
globalObjectFieldIdintegerrequiredThe ID of the `GlobalObjectField` this action will apply a transformation to.
workflowDataTypeActionIdintegerrequiredThe ID of the `WorkflowDataTypeAction` that this action applys as a transformation/modification to a field.
valuestringIf the action type uses data indicated by the user to apply its transformations those values will be supplier here.
value2stringvalue3stringvalue4stringrankintegerThe order/rank in which actions are run. Very important as order matters since each action has the potential to modify data.
workflowDataTypeActionWorkflowDataTypeActionmetaDatastringIf non-null a JSON object containing meta data related to executing the action
usesOtherFieldScopestringWhen using actions that depend on the values of other fields & objects this will control which objects are used to take values from.
allowed
allfilteredcorrelatedapplyToMatchedOnlybooleanWhen true, the action is applied only to elements that satisfy the rule conditions. When false or not provided, the action is applied to all elements.
childActionsarray[WorkflowRuleAction]headerNamestringchildRulesarray[WorkflowRule]idintegerGenerated on your behalf when first creating a rule.
namestringrequiredcreatedAtstring (date-time)rankintegerThe order/rank in which rules are run. Very important as order matters since each rule has the potential to modify data.
workflowRuleTypeIdintegerrequiredThe ID of the `WorkflowRuleType` of this rule.
alwaysRunbooleanrequiredWhen set to `true` all `groups` & `conditions` are ignored and the rule will always have its a`actions` run.
default
falseconfiguredbooleanWhether the rule is configured correctly. To be considered configured the rule must have at least 1 action and 1 condition (or be set to always run).
groupsarray[WorkflowRuleGroup]requiredactionsarray[WorkflowRuleAction]requiredchildRulesarray[WorkflowRule]workflowRuleTypeWorkflowRuleTypeenabledbooleanidentifies whether the workflow rule is enabled
tierDatastringStores data needed to run new style tier rules set from enterprise accounts
workflowRuleTypeobjectidintegerrequiredhandlestringrequiredallowed
conditionaltiernamestringrequiredenabledbooleanidentifies whether the workflow rule is enabled
tierDatastringStores data needed to run new style tier rules set from enterprise accounts
workflowRuleTypeobjectidintegerrequiredhandlestringrequiredallowed
conditionaltiernamestringrequiredenabledbooleanidentifies whether the workflow rule is enabled
tierDatastringStores data needed to run new style tier rules set from enterprise accounts
fieldsUsedBySetToFieldarray[any]fieldsUsedByFormulasarray[any]Example response
{
"id": 0,
"eventId": 0,
"draft": true,
"params": [
{
"key": "string",
"value": 0
}
],
"rules": [
{
"id": 0,
"name": "string",
"createdAt": "2026-04-20T00:00:00Z",
"rank": 0,
"workflowRuleTypeId": 0,
"alwaysRun": true,
"configured": true,
"groups": [
{
"id": null,
"rank": null,
"conditions": null
}
],
"actions": [
{
"id": null,
"globalObjectFieldId": null,
"workflowDataTypeActionId": null,
"value": null,
"value2": null,
"value3": null,
"value4": null,
"rank": null,
"workflowDataTypeAction": null,
"metaData": null,
"usesOtherFieldScope": null,
"applyToMatchedOnly": null,
"childActions": null,
"headerName": null
}
],
"childRules": [
{
"id": null,
"name": null,
"createdAt": null,
"rank": null,
"workflowRuleTypeId": null,
"alwaysRun": null,
"configured": null,
"groups": null,
"actions": null,
"childRules": null,
"workflowRuleType": null,
"enabled": null,
"tierData": null
}
],
"workflowRuleType": {
"id": 0,
"handle": "conditional",
"name": "string"
},
"enabled": true,
"tierData": "string"
}
],
"fieldsUsedBySetToField": [
null
],
"fieldsUsedByFormulas": [
null
]
}201When `createIfNotExists` is set to `true` and a existing workflow was not found a `201` will be returnedapplication/json
idintegerrequiredGenerated on your behalf when first creating a workflow. Should not be provided unless the workflow was previously saved & you are modifying a version of the workflow that was directly fetched from the system.
`null` values are never allowed here.
By providing a non-null value here you are indiciating this workflow exists and should be updated. If the provided ID does not exist a `404` error will be returned.
eventIdintegerdraftbooleanIs this the draft version of the workflow
default
falseparamsarray[GetWorkflowRequestParam]Used to find workflows by unique key/value pairs so that IDs do not need to be externally managed.
keystringrequiredvalueintegerrequiredrulesarray[WorkflowRule]The rules of the workflow that are responsible for checking IF and HOW modifications should be applied to `GlobalObjects` and their `GlobalObjectFields`.
idintegerGenerated on your behalf when first creating a rule.
namestringrequiredcreatedAtstring (date-time)rankintegerThe order/rank in which rules are run. Very important as order matters since each rule has the potential to modify data.
workflowRuleTypeIdintegerrequiredThe ID of the `WorkflowRuleType` of this rule.
alwaysRunbooleanrequiredWhen set to `true` all `groups` & `conditions` are ignored and the rule will always have its a`actions` run.
default
falseconfiguredbooleanWhether the rule is configured correctly. To be considered configured the rule must have at least 1 action and 1 condition (or be set to always run).
groupsarray[WorkflowRuleGroup]requiredidintegerGenerated on your behalf when first creating a rule group.
rankintegerThe order/rank in which groups are run
conditionsarray[WorkflowRuleGroupCondition]requiredidintegerGenerated on your behalf when first creating a condition.
rankintegerThe order/rank in which conditions are run
globalObjectFieldIdintegerThe ID of the `GlobalObjectField` that provides the data this rule runs against.
workflowDataTypeComparatorIdintegerThe ID of the `WorkflowDataTypeComparator` this rule uses as a basis to perform a condition with.
conditionstringFor most standard rules the primary data condition that is used in conjunction with the comparator will be stored here.
condition2stringcondition3stringcondition4stringfieldArrayMustMatchAllbooleanWhen the field this condition operates on for the particular event is provided as an array of data rather than a singleton setting this to `true` means that all fields in that list must be truthy in order for the condition to be truthy. Otherwise only 1 of the fields in the list must be truthy to have the condition pass.
default
falseconditionArrayMustMatchAllbooleanWhen the data this condition operates on for the particular event is provided as an array of data rather than a singleton setting this to `true` means that all data in that list must be truthy in order for the condition to be truthy. Otherwise only 1 of the datums in the list must be truthy to have the condition pass.
default
falsepreModifierDataTypeComparatorIdintegermetaDatastringThis is a JSON encoded string that is used to provide & store context relating to rules that do not fit within the bounds of standard rules.
childConditionsarray[WorkflowRuleGroupCondition]workflowDataTypeComparatorWorkflowDataTypeComparatorpreModifierDataTypeComparatorWorkflowDataTypeComparatoractionsarray[WorkflowRuleAction]requiredidintegerGenerated on your behalf when first creating a action.
globalObjectFieldIdintegerrequiredThe ID of the `GlobalObjectField` this action will apply a transformation to.
workflowDataTypeActionIdintegerrequiredThe ID of the `WorkflowDataTypeAction` that this action applys as a transformation/modification to a field.
valuestringIf the action type uses data indicated by the user to apply its transformations those values will be supplier here.
value2stringvalue3stringvalue4stringrankintegerThe order/rank in which actions are run. Very important as order matters since each action has the potential to modify data.
workflowDataTypeActionobjectidintegerrequirednamestringrequiredhandlestringrequiredallowed
addadd_fieldall_po_line_items_custom_fields_to_textappend_as_sentenceapply_custom_actionattribute_addattribute_modifyattribute_removeattributes_to_htmlcapitalize_each_wordcustom_aggregate_field_addcustom_aggregate_field_modifycustom_aggregate_field_removecustom_field_addcustom_field_modifycustom_field_removedecode_htmldivide_bydivide_by_fieldleft_padlowercasemultiplymultiply_by_fieldoption_setpercent_changepo_custom_fields_to_textpostfixpostfix_with_fieldprefixprefix_with_fieldreplacereplace_case_sensitivereplace_character_at_indexreplace_character_occurrenceright_padsentence_casesetset_decimalset_to_emptyset_to_fieldsplit_by_valuesubstringsubtractsubtract_fieldtrimuppercasevariant_option_addvariant_option_modifyvariant_option_removeset_ones_place_value_tomapping_sethideInputbooleanusesOtherFieldbooleanrequiredformulabooleanrequiredglobalDataTypeIdintegerformulaCanRunAgainstGlobalObjectIdsarray[integer]If `formula=true` then this will be a list of `GlobalObject.id` that the formula can be applied against.
globalDataTypeFilterIdsarray[integer]Certain `GlobalObjectField`'s such as ones for quantities may wish to further restrict what types of actions they are allowed to run against. Actions that support this type of additional filtering will have the IDs of the filter types set here. The IDs in this array will correspond to the `GlobalObjectField.globalDataTypeFilterId` field.
metaDatastringIf non-null a JSON object containing meta data related to executing the action
usesOtherFieldScopestringWhen using actions that depend on the values of other fields & objects this will control which objects are used to take values from.
allowed
allfilteredcorrelatedapplyToMatchedOnlybooleanWhen true, the action is applied only to elements that satisfy the rule conditions. When false or not provided, the action is applied to all elements.
childActionsarray[WorkflowRuleAction]idintegerGenerated on your behalf when first creating a action.
globalObjectFieldIdintegerrequiredThe ID of the `GlobalObjectField` this action will apply a transformation to.
workflowDataTypeActionIdintegerrequiredThe ID of the `WorkflowDataTypeAction` that this action applys as a transformation/modification to a field.
valuestringIf the action type uses data indicated by the user to apply its transformations those values will be supplier here.
value2stringvalue3stringvalue4stringrankintegerThe order/rank in which actions are run. Very important as order matters since each action has the potential to modify data.
workflowDataTypeActionWorkflowDataTypeActionmetaDatastringIf non-null a JSON object containing meta data related to executing the action
usesOtherFieldScopestringWhen using actions that depend on the values of other fields & objects this will control which objects are used to take values from.
allowed
allfilteredcorrelatedapplyToMatchedOnlybooleanWhen true, the action is applied only to elements that satisfy the rule conditions. When false or not provided, the action is applied to all elements.
childActionsarray[WorkflowRuleAction]headerNamestringheaderNamestringchildRulesarray[WorkflowRule]idintegerGenerated on your behalf when first creating a rule.
namestringrequiredcreatedAtstring (date-time)rankintegerThe order/rank in which rules are run. Very important as order matters since each rule has the potential to modify data.
workflowRuleTypeIdintegerrequiredThe ID of the `WorkflowRuleType` of this rule.
alwaysRunbooleanrequiredWhen set to `true` all `groups` & `conditions` are ignored and the rule will always have its a`actions` run.
default
falseconfiguredbooleanWhether the rule is configured correctly. To be considered configured the rule must have at least 1 action and 1 condition (or be set to always run).
groupsarray[WorkflowRuleGroup]requiredidintegerGenerated on your behalf when first creating a rule group.
rankintegerThe order/rank in which groups are run
conditionsarray[WorkflowRuleGroupCondition]requiredactionsarray[WorkflowRuleAction]requiredidintegerGenerated on your behalf when first creating a action.
globalObjectFieldIdintegerrequiredThe ID of the `GlobalObjectField` this action will apply a transformation to.
workflowDataTypeActionIdintegerrequiredThe ID of the `WorkflowDataTypeAction` that this action applys as a transformation/modification to a field.
valuestringIf the action type uses data indicated by the user to apply its transformations those values will be supplier here.
value2stringvalue3stringvalue4stringrankintegerThe order/rank in which actions are run. Very important as order matters since each action has the potential to modify data.
workflowDataTypeActionWorkflowDataTypeActionmetaDatastringIf non-null a JSON object containing meta data related to executing the action
usesOtherFieldScopestringWhen using actions that depend on the values of other fields & objects this will control which objects are used to take values from.
allowed
allfilteredcorrelatedapplyToMatchedOnlybooleanWhen true, the action is applied only to elements that satisfy the rule conditions. When false or not provided, the action is applied to all elements.
childActionsarray[WorkflowRuleAction]headerNamestringchildRulesarray[WorkflowRule]idintegerGenerated on your behalf when first creating a rule.
namestringrequiredcreatedAtstring (date-time)rankintegerThe order/rank in which rules are run. Very important as order matters since each rule has the potential to modify data.
workflowRuleTypeIdintegerrequiredThe ID of the `WorkflowRuleType` of this rule.
alwaysRunbooleanrequiredWhen set to `true` all `groups` & `conditions` are ignored and the rule will always have its a`actions` run.
default
falseconfiguredbooleanWhether the rule is configured correctly. To be considered configured the rule must have at least 1 action and 1 condition (or be set to always run).
groupsarray[WorkflowRuleGroup]requiredactionsarray[WorkflowRuleAction]requiredchildRulesarray[WorkflowRule]workflowRuleTypeWorkflowRuleTypeenabledbooleanidentifies whether the workflow rule is enabled
tierDatastringStores data needed to run new style tier rules set from enterprise accounts
workflowRuleTypeobjectidintegerrequiredhandlestringrequiredallowed
conditionaltiernamestringrequiredenabledbooleanidentifies whether the workflow rule is enabled
tierDatastringStores data needed to run new style tier rules set from enterprise accounts
workflowRuleTypeobjectidintegerrequiredhandlestringrequiredallowed
conditionaltiernamestringrequiredenabledbooleanidentifies whether the workflow rule is enabled
tierDatastringStores data needed to run new style tier rules set from enterprise accounts
fieldsUsedBySetToFieldarray[any]fieldsUsedByFormulasarray[any]Example response
{
"id": 0,
"eventId": 0,
"draft": true,
"params": [
{
"key": "string",
"value": 0
}
],
"rules": [
{
"id": 0,
"name": "string",
"createdAt": "2026-04-20T00:00:00Z",
"rank": 0,
"workflowRuleTypeId": 0,
"alwaysRun": true,
"configured": true,
"groups": [
{
"id": null,
"rank": null,
"conditions": null
}
],
"actions": [
{
"id": null,
"globalObjectFieldId": null,
"workflowDataTypeActionId": null,
"value": null,
"value2": null,
"value3": null,
"value4": null,
"rank": null,
"workflowDataTypeAction": null,
"metaData": null,
"usesOtherFieldScope": null,
"applyToMatchedOnly": null,
"childActions": null,
"headerName": null
}
],
"childRules": [
{
"id": null,
"name": null,
"createdAt": null,
"rank": null,
"workflowRuleTypeId": null,
"alwaysRun": null,
"configured": null,
"groups": null,
"actions": null,
"childRules": null,
"workflowRuleType": null,
"enabled": null,
"tierData": null
}
],
"workflowRuleType": {
"id": 0,
"handle": "conditional",
"name": "string"
},
"enabled": true,
"tierData": "string"
}
],
"fieldsUsedBySetToField": [
null
],
"fieldsUsedByFormulas": [
null
]
}204When the workflow cannot be found and `createIfNotExists` is set to `false` a empty body will be returned wit ha `204` response code.
No schema documented for this status.
400When the `eventHandle` in the request body cannot be found.
No schema documented for this status.
401Unauthorized
No schema documented for this status.
404When the `id` in the request body cannot be found.
No schema documented for this status.
OpenAPI fragment
{
"post": {
"summary": "Find Workflow",
"description": "Find a workflow by `id` (which takes priority) or by a combination of `eventHandle` + `params`. Optionally create one if the searched one cannot be found by passing `createIfNotExists` in the request body.",
"parameters": [],
"requestBody": {
"description": "",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/GetWorkflowRequest"
}
}
}
},
"responses": {
"200": {
"description": "",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Workflow"
}
}
}
},
"201": {
"description": "When `createIfNotExists` is set to `true` and a existing workflow was not found a `201` will be returned",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Workflow"
}
}
}
},
"204": {
"description": "When the workflow cannot be found and `createIfNotExists` is set to `false` a empty body will be returned wit ha `204` response code."
},
"400": {
"description": "When the `eventHandle` in the request body cannot be found."
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "When the `id` in the request body cannot be found."
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight